Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.mapping
Interface UrlMappingData

All Known Implementing Classes:
  DefaultUrlMappingData, ResponseCodeMappingData

    public interface UrlMappingData

Holds information about a parsed URL such as the tokens that make up the URL, The URLs (plural) that the UrLMapping logically maps to and so forth

Since:
  0.5

  Created: Mar 5, 2007 Time: 7:44:51 AM
Author:
  Graeme Rocher

Method Summary
`String[]` | `getLogicalUrls()` Obtains the logical URLs for this URL
`String[]` | `getTokens()` Retrieves the tokens that make up a URL.
`String` | `getUrlPattern()` Retrieves the URL pattern for this UrlMappingData instance
`boolean` | `isOptional(int index)` Returns whether the given token in the URL is optional.

Method Detail

### getTokens

    String[] getTokens()

  Retrieves the tokens that make up a URL. For example the tokens for the URL /blog/2007/* would be "blog", "2007" and "*"

  Returns:
    The tokens as a string array

### getLogicalUrls

    String[] getLogicalUrls()

  Obtains the logical URLs for this URL

  Returns:
    The logical URLs as a string array

### getUrlPattern

    String getUrlPattern()

  Retrieves the URL pattern for this UrlMappingData instance

  Returns:
    The URL pattern

### isOptional

    boolean isOptional(int index)

  Returns whether the given token in the URL is optional. The index takes into account matching groups so for example the URL /blog/(*)/(*) has two entries for the two (*) matching groups with the index 0 relating to the the first entry

  Parameters:
    `index` - The index of the matching token
  Returns:
    True if it is optional

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD